aboutsummaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorCedric BAIL <cedric.bail@free.fr>2011-04-14 14:03:46 +0000
committerCedric BAIL <cedric.bail@free.fr>2011-04-14 14:03:46 +0000
commit3d5deba6d51a45195f891dcf37754fd65d0fee11 (patch)
tree07a040cdd03a598a122daf3680c0d1c1ad1d8705 /autogen.sh
parente17: fix dnd to desktop (diff)
downloadenlightenment-3d5deba6d51a45195f891dcf37754fd65d0fee11.tar.gz
autogen: improve detection of parameter change.
SVN revision: 58667
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh30
1 files changed, 24 insertions, 6 deletions
diff --git a/autogen.sh b/autogen.sh
index 84da6a0b8..3563ad357 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,33 @@
#!/bin/sh
-touch README
-touch ABOUT-NLS
-
-echo "Running autopoint..." ; autopoint -f || :
-echo "Running aclocal..." ; aclocal -I m4 $ACLOCAL_FLAGS || exit 1
-echo "Running autoconf..." ; autoconf || exit 1
+echo "Running aclocal..." ; aclocal $ACLOCAL_FLAGS -I m4 || exit 1
echo "Running autoheader..." ; autoheader || exit 1
+echo "Running autoconf..." ; autoconf || exit 1
echo "Running libtoolize..." ; (libtoolize --copy --automake || glibtoolize --automake) || exit 1
echo "Running automake..." ; automake --add-missing --copy --gnu || exit 1
+W=0
+
+rm -f config.cache-env.tmp
+echo "OLD_PARM=\"$@\"" >> config.cache-env.tmp
+echo "OLD_CFLAGS=\"$CFLAGS\"" >> config.cache-env.tmp
+echo "OLD_PATH=\"$PATH\"" >> config.cache-env.tmp
+echo "OLD_PKG_CONFIG_PATH=\"$PKG_CONFIG_PATH\"" >> config.cache-env.tmp
+echo "OLD_LDFLAGS=\"$LDFLAGS\"" >> config.cache-env.tmp
+
+cmp config.cache-env.tmp config.cache-env >> /dev/null
+if [ $? -ne 0 ]; then
+ W=1;
+fi
+
+if [ $W -ne 0 ]; then
+ echo "Cleaning configure cache...";
+ rm -f config.cache config.cache-env
+ mv config.cache-env.tmp config.cache-env
+else
+ rm -f config.cache-env.tmp
+fi
+
if [ -z "$NOCONFIGURE" ]; then
./configure -C "$@"
fi